OptIterRwd Class Referenceabstract

`#include <options.h>`

Inheritance diagram for OptIterRwd:
[legend]
Collaboration diagram for OptIterRwd:
[legend]

## Public Member Functions

virtual const char * | curr (void)=0
virtual void | next (void)=0
| next() advances to the next item.
virtual const char * | operator() (void)=0
virtual void | rewind (void)=0
| rewind() resets the "current-element" to the first one in the "list"
virtual const char * | curr (void)=0
virtual void | next (void)=0
| next() advances to the next item.
virtual const char * | operator() (void)=0
virtual void | rewind (void)=0
| rewind() resets the "current-element" to the first one in the "list"

## Detailed Description

Abstract class for a rewindable OptIter

## Member Function Documentation

virtual const char* OptIterRwd::curr | ( | void |  | ) |

pure virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIter.

Implemented in OptStrTokIter, OptStrTokIter, OptArgvIter, and OptArgvIter.

virtual const char* OptIterRwd::curr | ( | void |  | ) |

pure virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIter.

Implemented in OptStrTokIter, OptStrTokIter, OptArgvIter, and OptArgvIter.

virtual const char* OptIterRwd::operator() | ( | void |  | ) |

pure virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Reimplemented from OptIter.

Implemented in OptStrTokIter, OptStrTokIter, OptArgvIter, and OptArgvIter.

virtual const char* OptIterRwd::operator() | ( | void |  | ) |

pure virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Reimplemented from OptIter.

Implemented in OptStrTokIter, OptStrTokIter, OptArgvIter, and OptArgvIter.

The documentation for this class was generated from the following files:

- apps/elftosb/common/options.h
- apps/elftosb/common/options.cpp